lighttpd up to 1.1.1 http_auth.c base64_decode numeric error

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
4.8$0-$5k0.00

A vulnerability, which was classified as problematic, was found in lighttpd up to 1.1.1 (Web Server). This affects the function base64_decode of the file http_auth.c. The manipulation with an unknown input leads to a denial of service vulnerability. CWE is classifying the issue as CWE-189. This is going to have an impact on availability.

The weakness was shared 12/24/2011 by Xi Wang as Bug 758624 as confirmed bug report (Bugzilla). It is possible to read the advisory at bugzilla.redhat.com. This vulnerability is uniquely identified as CVE-2011-4362 since 11/04/2011. The exploitability is told to be easy. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. Technical details and a public exploit are known.

A public exploit has been developed by pi3 in ANSI C and been published 1 weeks after the advisory. It is declared as proof-of-concept. The exploit is shared for download at securityfocus.com. The vulnerability scanner Nessus provides a plugin with the ID 74546 (openSUSE Security Update : lighttpd (openSUSE-2012-110)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family SuSE Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 120902 (Solaris 11 Support Repository Update (SRU) 6.6 Missing).

Upgrading to version 1.1.2 eliminates this vulnerability.

The vulnerability is also documented in the databases at X-Force (71536), SecurityTracker (ID 1026359), Vulnerability Center (SBV-34233), Tenable (74546) and Exploit-DB (18295). The entries 4549 and 59848 are related to this item.

Productinfoedit

Type

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 5.3
VulDB Meta Temp Score: 4.8

VulDB Base Score: 5.3
VulDB Temp Score: 4.8
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Denial of service
CWE: CWE-189
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Access: Public
Status: Proof-of-Concept
Author: pi3
Programming Language: 🔍
Download: 🔍
Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 74546
Nessus Name: openSUSE Security Update : lighttpd (openSUSE-2012-110)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Port: 🔍

OpenVAS ID: 70687
OpenVAS Name: Debian Security Advisory DSA 2368-1 (lighttpd)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Exploit-DB: 🔍

Threat Intelligenceinfoedit

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍
Exploit Delay Time: 🔍

Upgrade: lighttpd 1.1.2
ISS Proventia IPS: 🔍

Timelineinfoedit

11/04/2011 🔍
11/29/2011 +25 days 🔍
11/30/2011 +1 days 🔍
12/21/2011 +21 days 🔍
12/24/2011 +3 days 🔍
12/24/2011 +0 days 🔍
12/24/2011 +0 days 🔍
12/31/2011 +7 days 🔍
12/31/2011 +0 days 🔍
01/17/2012 +17 days 🔍
06/13/2014 +878 days 🔍
03/23/2015 +283 days 🔍
11/28/2021 +2442 days 🔍

Sourcesinfoedit

Advisory: Bug 758624
Researcher: Xi Wang
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2011-4362 (🔍)
OVAL: 🔍

X-Force: 71536
SecurityTracker: 1026359 - lighttpd Authentication Decoding Bug Lets Remote Users Deny Service
Vulnerability Center: 34233 - Lighttpd Before 1.4.30 Remote DoS Vulnerability via a Crafted Base64 Input, High
SecurityFocus: 50851 - lighttpd 'http_auth.c' Remote Denial of Service Vulnerability
Secunia: 47260 - Debian update for lighttpd, Moderately Critical
OSVDB: 77366

scip Labs: https://www.scip.ch/en/?labs.20161013
See also: 🔍

Entryinfoedit

Created: 03/23/2015 04:50 PM
Updated: 11/28/2021 02:17 PM
Changes: (3) vulnerability_cvss2_nvd_basescore exploit_price_0day source_nessus_risk
Complete: 🔍

Comments

No comments yet. Languages: en.

Please log in to comment.

Do you know our Splunk app?

Download it now for free!